System Requirements

Supported Versions:

  • Microsoft Outlook 2007, 2010, 2013, 2016, 2019 (32bit and 64bit fat clients for Windows)

  • Windows Vista, Windows 7, Windows 8/8.1, Windows 10

  • Internet Explorer 10+, Edge (for rendering within Outlook)

    Make sure, you are able to login to Jira using your Internet Explorer (IE) / Edge, even though you use a different browser like Firefox or Chrome normally. In some cases, SSL-certificates need to be installed, if you open Jira the first time using the IE. This enables the embedded browser of our add-on to work properly.

  • .NET Framework 4.5 or later versions

  • Jira Server 5.0.1+, Jira Data Center 6.3+ or Jira Cloud

  • Optional for JEMH integration: > JEMH 1.6.10